Subject: Re: [RFC: 2.6 patch] net/netlink/: possible cleanups

From: Adrian Bunk <[email-masked]>
Date: Tue, 18 Apr 2006 21:09:54 +0200

On Tue, Apr 18, 2006 at 07:48:41PM +0100, Alan Cox wrote:
> On Maw, 2006-04-18 at 16:19 +0200, Adrian Bunk wrote:
> > OTOH, we also have to always check whether users are expected soon (and 
> > recheck whether there are really users after some time) since every 
> > single export makes the kernel larger for nearly everyone.
> 
> Of course fixing the amount of memory used by an EXPORT_SYMBOL would be
> far more productive.

Both is productive.
You can decrease the amount of memory used by an EXPORT_SYMBOL, but you 
can't get it down to 0.

And in some cases the memory used by an EXPORT_SYMBOL mostly consists of 
an otherwise unused function...

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed